# Constant Field Values

## Contents

- org.kapott.*

## org.kapott.*

org.kapott.cryptalgs.CryptAlgs4JavaProvider
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"CryptAlgs4Java"`

org.kapott.hbci.callback.HBCICallback
Modifier and Type
Constant Field
Value
`public static final int`
`CLOSE_CONNECTION`
`25`
`public static final int`
`HAVE_CHIPCARD`
`6`
`public static final int`
`HAVE_CRC_ERROR`
`19`
`public static final int`
`HAVE_ERROR`
`20`
`public static final int`
`HAVE_HARDPIN`
`5`
`public static final int`
`HAVE_IBAN_ERROR`
`30`
`public static final int`
`HAVE_INST_MSG`
`14`
`public static final int`
`HAVE_NEW_MY_KEYS`
`13`
`public static final int`
`NEED_BLZ`
`8`
`public static final int`
`NEED_CHIPCARD`
`2`
`public static final int`
`NEED_CONNECTION`
`24`
`public static final int`
`NEED_COUNTRY`
`7`
`public static final int`
`NEED_CUSTOMERID`
`18`
`public static final int`
`NEED_FILTER`
`26`
`public static final int`
`NEED_HARDPIN`
`3`
`public static final int`
`NEED_HOST`
`9`
`public static final int`
`NEED_INFOPOINT_ACK`
`31`
`public static final int`
`NEED_NEW_INST_KEYS_ACK`
`12`
`public static final int`
`NEED_PASSPHRASE_LOAD`
`21`
`public static final int`
`NEED_PASSPHRASE_SAVE`
`22`
`public static final int`
`NEED_PORT`
`10`
`public static final int`
`NEED_PROXY_PASS`
`29`
`public static final int`
`NEED_PROXY_USER`
`28`
`public static final int`
`NEED_PT_DECOUPLED`
`35`
`public static final int`
`NEED_PT_DECOUPLED_RETRY`
`36`
`public static final int`
`NEED_PT_PHOTOTAN`
`33`
`public static final int`
`NEED_PT_PIN`
`16`
`public static final int`
`NEED_PT_QRTAN`
`34`
`public static final int`
`NEED_PT_SECMECH`
`27`
`public static final int`
`NEED_PT_TAN`
`17`
`public static final int`
`NEED_PT_TANMEDIA`
`32`
`public static final int`
`NEED_REMOVE_CHIPCARD`
`15`
`public static final int`
`NEED_SIZENTRY_SELECT`
`23`
`public static final int`
`NEED_SOFTPIN`
`4`
`public static final int`
`NEED_USERID`
`11`
`public static final int`
`STATUS_DIALOG_END`
`19`
`public static final int`
`STATUS_DIALOG_END_DONE`
`20`
`public static final int`
`STATUS_DIALOG_INIT`
`17`
`public static final int`
`STATUS_DIALOG_INIT_DONE`
`18`
`public static final int`
`STATUS_INIT_SIGID`
`15`
`public static final int`
`STATUS_INIT_SIGID_DONE`
`16`
`public static final int`
`STATUS_INIT_SYSID`
`9`
`public static final int`
`STATUS_INIT_SYSID_DONE`
`10`
`public static final int`
`STATUS_INIT_UPD`
`11`
`public static final int`
`STATUS_INIT_UPD_DONE`
`12`
`public static final int`
`STATUS_INST_BPD_INIT`
`3`
`public static final int`
`STATUS_INST_BPD_INIT_DONE`
`4`
`public static final int`
`STATUS_INST_GET_KEYS`
`5`
`public static final int`
`STATUS_INST_GET_KEYS_DONE`
`6`
`public static final int`
`STATUS_LOCK_KEYS`
`13`
`public static final int`
`STATUS_LOCK_KEYS_DONE`
`14`
`public static final int`
`STATUS_MSG_CREATE`
`21`
`public static final int`
`STATUS_MSG_CRYPT`
`23`
`public static final int`
`STATUS_MSG_DECRYPT`
`25`
`public static final int`
`STATUS_MSG_PARSE`
`28`
`public static final int`
`STATUS_MSG_RAW_RECV`
`31`
`public static final int`
`STATUS_MSG_RAW_RECV_ENCRYPTED`
`32`
`public static final int`
`STATUS_MSG_RAW_SEND`
`30`
`public static final int`
`STATUS_MSG_RECV`
`27`
`public static final int`
`STATUS_MSG_SEND`
`24`
`public static final int`
`STATUS_MSG_SIGN`
`22`
`public static final int`
`STATUS_MSG_VERIFY`
`26`
`public static final int`
`STATUS_SEND_INFOPOINT_DATA`
`29`
`public static final int`
`STATUS_SEND_KEYS`
`7`
`public static final int`
`STATUS_SEND_KEYS_DONE`
`8`
`public static final int`
`STATUS_SEND_TASK`
`1`
`public static final int`
`STATUS_SEND_TASK_DONE`
`2`
`public static final int`
`TYPE_BOOLEAN`
`3`
`public static final int`
`TYPE_NONE`
`0`
`public static final int`
`TYPE_SECRET`
`1`
`public static final int`
`TYPE_TEXT`
`2`
`public static final int`
`USERID_CHANGED`
`41`
`public static final int`
`WRONG_PIN`
`40`
org.kapott.hbci.callback.HBCICallbackSwing
Modifier and Type
Constant Field
Value
`public static final boolean`
`ACTION_BLOCKING`
`true`
`public static final boolean`
`ACTION_NOT_BLOCKING`
`false`
`public static final boolean`
`DIALOG_MODAL`
`true`
`public static final boolean`
`DIALOG_NOT_MODAL`
`false`
org.kapott.hbci.callback.HBCICallbackSwingInternal
Modifier and Type
Constant Field
Value
`public static final boolean`
`DIALOG_CLOSABLE`
`true`
`public static final boolean`
`DIALOG_ICONIFIABLE`
`true`
`public static final boolean`
`DIALOG_MAXIMIZABLE`
`true`
`public static final boolean`
`DIALOG_NOT_CLOSABLE`
`false`
`public static final boolean`
`DIALOG_NOT_ICONIFIABLE`
`false`
`public static final boolean`
`DIALOG_NOT_MAXIMIZABLE`
`false`
`public static final boolean`
`DIALOG_NOT_RESIZABLE`
`false`
`public static final boolean`
`DIALOG_RESIZABLE`
`true`

org.kapott.hbci.comm.Comm
Modifier and Type
Constant Field
Value
`public static final String`
`ENCODING`
`"ISO-8859-1"`

org.kapott.hbci.GV.AbstractSEPAGV
Modifier and Type
Constant Field
Value
`public static final String`
`ENDTOEND_ID_NOTPROVIDED`
`"NOTPROVIDED"`
org.kapott.hbci.GV.SepaUtil
Modifier and Type
Constant Field
Value
`public static final String`
`DATE_FORMAT`
`"yyyy-MM-dd"`
`public static final String`
`DATE_UNDEFINED`
`"1999-01-01"`
`public static final String`
`DATETIME_FORMAT`
`"yyyy-MM-dd\'T\'HH:mm:ss"`

org.kapott.hbci.GV_Result.GVRAccInfo.AccInfo
Modifier and Type
Constant Field
Value
`public static final int`
`DELIVER_TYPE_EDV`
`4`
`public static final int`
`DELIVER_TYPE_KAD`
`2`
`public static final int`
`DELIVER_TYPE_NONE`
`0`
`public static final int`
`DELIVER_TYPE_OFFICE`
`3`
`public static final int`
`DELIVER_TYPE_POST`
`1`
`public static final int`
`TURNUS_ANNUAL`
`6`
`public static final int`
`TURNUS_DAILY`
`1`
`public static final int`
`TURNUS_HALF`
`5`
`public static final int`
`TURNUS_MONTHLY`
`3`
`public static final int`
`TURNUS_QUARTER`
`4`
`public static final int`
`TURNUS_WEEKLY`
`2`
org.kapott.hbci.GV_Result.GVRFestCondList.Cond
Modifier and Type
Constant Field
Value
`public static final int`
`METHOD_2831_360`
`1`
`public static final int`
`METHOD_2831_365`
`4`
`public static final int`
`METHOD_2831_365366`
`2`
`public static final int`
`METHOD_30_360`
`0`
`public static final int`
`METHOD_30_365`
`5`
`public static final int`
`METHOD_30_365366`
`3`
org.kapott.hbci.GV_Result.GVRWPDepotList.Entry
Modifier and Type
Constant Field
Value
`public static final int`
`SALDO_TYPE_STCK`
`1`
`public static final int`
`SALDO_TYPE_WERT`
`2`
org.kapott.hbci.GV_Result.GVRWPDepotList.Entry.Gattung
Modifier and Type
Constant Field
Value
`public static final int`
`PRICE_QUALIF_HINT`
`2`
`public static final int`
`PRICE_QUALIF_MRKT`
`1`
`public static final int`
`PRICE_TYPE_PRCT`
`1`
`public static final int`
`PRICE_TYPE_VALUE`
`2`
`public static final int`
`SOURCE_LOC`
`1`
`public static final int`
`SOURCE_SELLER`
`3`
`public static final int`
`SOURCE_THEOR`
`2`
org.kapott.hbci.GV_Result.GVRWPDepotUms.Entry.FinancialInstrument.Transaction
Modifier and Type
Constant Field
Value
`public static final int`
`BEZAHLUNG_FREI`
`2`
`public static final int`
`BEZAHLUNG_GEGEN_ZAHLUNG`
`1`
`public static final int`
`INDICATOR_CORPORATE_ACTION`
`2`
`public static final int`
`INDICATOR_KAPITALMASSNAHME`
`2`
`public static final int`
`INDICATOR_LEIHE`
`3`
`public static final int`
`INDICATOR_SETTLEMENT_CLEARING`
`1`
`public static final int`
`INDICATOR_SICHERHEITEN`
`4`
`public static final int`
`RICHTUNG_ERHALT`
`2`
`public static final int`
`RICHTUNG_LIEFERUNG`
`1`
org.kapott.hbci.GV_Result.GVRWPStammData.Entry
Modifier and Type
Constant Field
Value
`public static final int`
`EINHEIT_ELSE`
`9`
`public static final int`
`EINHEIT_PNKT`
`4`
`public static final int`
`EINHEIT_PRCT`
`2`
`public static final int`
`EINHEIT_PRML`
`3`
`public static final int`
`EINHEIT_STCK`
`1`
`public static final int`
`ORDER_BOTH`
`3`
`public static final int`
`ORDER_ONLYBUY`
`1`
`public static final int`
`ORDER_ONLYSELL`
`2`
`public static final int`
`ORDER_ONLYXETRA`
`4`
`public static final int`
`REGION_BOTH`
`0`
`public static final int`
`REGION_ONLYFORGN`
`2`
`public static final int`
`REGION_ONLYHOME`
`1`

org.kapott.hbci.GV.generators.ISEPAGenerator<T>
Modifier and Type
Constant Field
Value
`public static final String`
`ENCODING`
`"UTF-8"`

org.kapott.hbci.manager.FlickerRenderer
Modifier and Type
Constant Field
Value
`public static final int`
`FREQUENCY_DEFAULT`
`10`
`public static final int`
`FREQUENCY_MAX`
`40`
`public static final int`
`FREQUENCY_MIN`
`2`
org.kapott.hbci.manager.HBCIHandler
Modifier and Type
Constant Field
Value
`public static final int`
`REFRESH_BPD`
`1`
`public static final int`
`REFRESH_UPD`
`2`
org.kapott.hbci.manager.HBCIKernelImpl
Modifier and Type
Constant Field
Value
`public static final boolean`
`CRYPTIT`
`true`
`public static final boolean`
`DONT_CRYPTIT`
`false`
`public static final boolean`
`DONT_NEED_CRYPT`
`false`
`public static final boolean`
`DONT_SIGNIT`
`false`
`public static final boolean`
`NEED_CRYPT`
`true`
`public static final boolean`
`SIGNIT`
`true`
org.kapott.hbci.manager.HBCIUser
Modifier and Type
Constant Field
Value
`public static final String`
`UPD_KEY_FETCH_SEPAINFO`
`"_fetchedSepaInfo"`
`public static final String`
`UPD_KEY_FETCH_TANMEDIA`
`"_fetchedTanMedia"`
`public static final String`
`UPD_KEY_HBCIVERSION`
`"_hbciversion"`
`public static final String`
`UPD_KEY_TANMEDIA`
`"tanmedia.names"`
org.kapott.hbci.manager.HBCIUtils
Modifier and Type
Constant Field
Value
`public static final int`
`LOG_DEBUG`
`4`
`public static final int`
`LOG_DEBUG2`
`5`
`public static final int`
`LOG_ERR`
`1`
`public static final int`
`LOG_INFO`
`3`
`public static final int`
`LOG_INTERN`
`6`
`public static final int`
`LOG_NONE`
`0`
`public static final int`
`LOG_WARN`
`2`
`public static final String`
`PRODUCT_ID`
`"36792786FA12F235F04647689"`
org.kapott.hbci.manager.LogFilter
Modifier and Type
Constant Field
Value
`public static final int`
`FILTER_IDS`
`2`
`public static final int`
`FILTER_MOST`
`3`
`public static final int`
`FILTER_NONE`
`0`
`public static final int`
`FILTER_SECRETS`
`1`

org.kapott.hbci.passport.AbstractPinTanPassport
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_PD_CHALLENGE`
`"__pintan_challenge___"`
`public static final String`
`KEY_PD_HHDUC`
`"__pintan_hhduc___"`
`public static final String`
`KEY_PD_ORDERREF`
`"__pintan_orderref___"`
`public static final String`
`KEY_PD_SCA`
`"__pintan_sca___"`
org.kapott.hbci.passport.HBCIPassport
Modifier and Type
Constant Field
Value
`public static final String`
`ROLE_CON`
`"3"`
`public static final String`
`ROLE_ISS`
`"1"`
`public static final String`
`ROLE_WIT`
`"4"`
org.kapott.hbci.passport.HBCIPassportRAH10
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_PREFIX`
`"client.passport.RAH10"`
org.kapott.hbci.passport.INILetter
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_INST`
`1`
`public static final int`
`TYPE_USER`
`2`

org.kapott.hbci.protocol.MSG
Modifier and Type
Constant Field
Value
`public static final boolean`
`CHECK_SEQ`
`true`
`public static final boolean`
`CHECK_VALIDS`
`true`
`public static final boolean`
`DONT_CHECK_SEQ`
`false`
`public static final boolean`
`DONT_CHECK_VALIDS`
`false`
org.kapott.hbci.protocol.SyntaxElement
Modifier and Type
Constant Field
Value
`public static final boolean`
`ALLOW_OVERWRITE`
`true`
`public static final boolean`
`DONT_ALLOW_OVERWRITE`
`false`
`public static final boolean`
`DONT_TRY_TO_CREATE`
`false`
`public static final boolean`
`TRY_TO_CREATE`
`true`

org.kapott.hbci.security.Crypt
Modifier and Type
Constant Field
Value
`public static final String`
`ENC_KEYTYPE_DDV`
`"5"`
`public static final String`
`ENC_KEYTYPE_RSA`
`"6"`
`public static final String`
`ENCALG_2K3DES`
`"13"`
`public static final String`
`ENCALG_AES256`
`"14"`
`public static final String`
`ENCMODE_CBC`
`"2"`
`public static final String`
`ENCMODE_PKCS1`
`"18"`
`public static final String`
`SECFUNC_ENC`
`"4"`
`public static final String`
`SECFUNC_ENC_PLAIN`
`"998"`
org.kapott.hbci.security.Sig
Modifier and Type
Constant Field
Value
`public static final String`
`HASHALG_RIPEMD160`
`"999"`
`public static final String`
`HASHALG_SHA1`
`"1"`
`public static final String`
`HASHALG_SHA256`
`"3"`
`public static final String`
`HASHALG_SHA256_SHA256`
`"6"`
`public static final String`
`HASHALG_SHA384`
`"4"`
`public static final String`
`HASHALG_SHA512`
`"5"`
`public static final String`
`SECFUNC_FINTS_SIG_DIG`
`"1"`
`public static final String`
`SECFUNC_FINTS_SIG_SIG`
`"2"`
`public static final String`
`SECFUNC_HBCI_SIG_DDV`
`"2"`
`public static final String`
`SECFUNC_HBCI_SIG_RDH`
`"1"`
`public static final String`
`SECFUNC_SIG_PT_2STEP_MAX`
`"997"`
`public static final String`
`SECFUNC_SIG_PT_2STEP_MIN`
`"900"`
`public static final String`
`SIGALG_DES`
`"1"`
`public static final String`
`SIGALG_RSA`
`"10"`
`public static final String`
`SIGMODE_ISO9796_1`
`"16"`
`public static final String`
`SIGMODE_ISO9796_2`
`"17"`
`public static final String`
`SIGMODE_PKCS1`
`"18"`
`public static final String`
`SIGMODE_PSS`
`"19"`
`public static final String`
`SIGMODE_RETAIL_MAC`
`"999"`

org.kapott.hbci.status.HBCIStatus
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_ERR`
`2`
`public static final int`
`STATUS_OK`
`0`
`public static final int`
`STATUS_UNKNOWN`
`1`

org.kapott.hbci.structures.Limit
Modifier and Type
Constant Field
Value
`public static final char`
`TYPE_DAILY`
`'T'`
`public static final char`
`TYPE_MONTHLY`
`'M'`
`public static final char`
`TYPE_SINGLE`
`'E'`
`public static final char`
`TYPE_TIME`
`'Z'`
`public static final char`
`TYPE_WEEKLY`
`'W'`
org.kapott.hbci.structures.TypedValue
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_PROZENT`
`3`
`public static final int`
`TYPE_STCK`
`1`
`public static final int`
`TYPE_WERT`
`2`
org.kapott.hbci.structures.WPRef
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_IDXNAME`
`4`
`public static final int`
`TYPE_ISIN`
`1`
`public static final int`
`TYPE_KIINTERN`
`3`
`public static final int`
`TYPE_WKN`
`2`

org.kapott.hbci.swift.DTAUS
Modifier and Type
Constant Field
Value
`public static final byte`
`CURR_DM`
`0x20`
`public static final byte`
`CURR_EUR`
`0x31`
`public static final int`
`TYPE_CREDIT`
`1`
`public static final int`
`TYPE_DEBIT`
`2`

org.kapott.hbci.tools.CryptUtils
Modifier and Type
Constant Field
Value
`public static final String`
`CRYPT_ALG_AES`
`"AES"`
`public static final String`
`CRYPT_ALG_AES_CBC`
`"AES/CBC/ISO7816-4Padding"`
`public static final String`
`CRYPT_ALG_RSA`
`"RSA"`
`public static final String`
`HASH_ALG_RIPE_MD160`
`"RIPEMD160"`
`public static final String`
`HASH_ALG_SHA1`
`"SHA-1"`
`public static final String`
`HASH_ALG_SHA256`
`"SHA-256"`
`public static final String`
`SIGN_ALG_RSA`
`"PKCS1_PSS"`